#include <arte/arte.hh>
#include <arte/artefunc.h>
#include <vector>
#include <map>
#include <algorithm>
#include "cats/ItrSPoint.hh"

typedef struct{
  float zf, xf, yf, txf, tyf;
  float ze, xe, ye, txe, tye;
  float cvf[4][4], cve[4][4];
  float pf, pe;
  float chi2, prob;
  int   good, nonmask, nsp, nclu;
  map<ArtePointer<GESL>, pSPacepoint> pspointmap; 
  vector<pHit>                        vhit;  // sorted 
  vector< Est>                        vest;
  vector<ArtePointer<HITB> >          selecthits; //udalit!!!!!
} Track, *pTrack;

extern void ItrCatsEvent(void);
