******************************************************************************
*
* source:    daqifkuip.cdf
*
* type:      KUIP command definition
*
* created:   15 Mar 2001
*
* author:    Lars Soezueer
*            email: soezueer@mail.desy.de
*
* purpose:   define KUIP commands for daqif
*
* changes:   
*
******************************************************************************
>NAME DAQIFKUIP

>MENU /DaqIf
>GUIDANCE
Interface to the DAQ format

>COMMAND SUBD
>GUIDANCE
Switch on/off subdetectors for transformation to the DAQ format.
Default is all on except MCTRUTH.
>Parameter
+
SUBD 'subdetectors'         C  D=' '
STAT 'status on/off'        C  D=' '
>ACTION daqif_SUBD%C

>COMMAND DaqFileName
>PARAMETERS
NAME 'DAQ File Name' C
>GUIDANCE
Define filename for the output of daq formatted data
when using daqifwriteevent
>ACTION daqif_DaqFileName%C

>MENU MCTRUTH
>GUIDANCE
Commands regarding MCTRUTH output from daqif.

>COMMAND ECUT
>PARAMETERS
ECUT 'Energy cut' R D=1. R=0.:1000.
>GUIDANCE
Cut on kinetic energy in GeV.
Only tracks above the cut are written out.
>ACTION daqif_MCTRUTH_ECUT%C

