
* Boris Fominykh  12.01.2000
* reads hit table HITB, then selects, decodes and prints muon hits
*
      SUBROUTINE MUHITB
C-    =================
      IMPLICIT NONE
#include "arte/Arte.fi"
#include "auto/GEO.fi"
#include "auto/HITB.fi"
      INTEGER NTUBHT,NPADHT,NPIXHT,NLHITB,NRHITB,IH,JHT
      INTEGER IV,ICMP,ISL,LAY,MSL
      INTEGER IV1,IV2,IHB1,IHB2
      REAL X,Y,Z,DX,DY,XD1,XD2,YD1,YD2,ZD1,ZD2,COSR,SINR
#include "arte/Arte.ff"
#include "auto/GEO.ff"
#include "auto/HITB.ff"
C----+===1=========2=========3=========4=========5=========6=========7==********
      WRITE(LPRNT,*) '***** MUHITB start *****'
      NTUBHT=0
      NPADHT=0
      NPIXHT=0
********* HITB table *********
      IF(JHITB.GT.0) GOTO 10
      WRITE(LLOGF,1000) JHITB
 1000 FORMAT(2X,'*** MUHITB: no table HITB, JHITB=',I10)
      GOTO 200
   10 CONTINUE

* loops over GESL
      DO 11 ISL=1,IQ(JGESL+2)
* type of superlayer, muon types (8 and 9) are only acceptable
        ICMP = IGESL_CMP(ISL)
        IF(ICMP.NE.8.AND.
     +     ICMP.NE.9) GOTO 11
        IV1 = IGESL_FPL(ISL)
        IV2 = IV1+IGESL_NPL(ISL)-1
        IF(IV1.GT.IV2) GOTO 11
        DO 12 IV=IV1,IV2
          IHB1=IGEDE_HIT1(IV)
          IHB2=IGEDE_HITL(IV)
          IF(IHB2.GE.IHB1) WRITE(LLOGF,1041) ISL,IV,IHB1,IHB2
 1041     FORMAT(2X,'ISL ',I5,'  IV ',I6,'  HIT min,max ',2I5)
 12     CONTINUE
 11   CONTINUE


* number of words / row
      NLHITB = IQ(JHITB+1)
      IF(NLHITB.GT.0) GOTO 20
      WRITE(LLOGF,1000) JHITB
      GOTO 200
   20 CONTINUE
      NRHITB = IQ(JHITB+2)
      WRITE(LLOGF,1001) JHITB,NRHITB,NLHITB
 1001 FORMAT(2X,'*** table HITB',I10,'  # hits =',I6,'  words/hit',I3)
*
* loops over hits
      IF(NRHITB.LE.0) GOTO 200
      DO 150 IH=1,NRHITB
        JHT=JHITB+IQ(JHITB+1)*(IH-1)+2
        IV  = IQ(JHT+JHITB_GEDE)
* detector component
        ICMP = IGEDE_CMP(IV)
* select muon hits
        IF(ICMP.NE.8.AND.ICMP.NE.9) GOTO 150
*
        X=Q(JHT+JHITB_X)
        Y=Q(JHT+JHITB_Y)
        Z=Q(JHT+JHITB_Z)
        DX =Q(JHT+JHITB_Q)
        DY =Q(JHT+JHITB_R)
* parameters of detector
        XD1 =  FGEDE_XMIN(IV)
        XD2 =  FGEDE_XMAX(IV)
        YD1 =  FGEDE_YMIN(IV)
        YD2 =  FGEDE_YMAX(IV)
        ZD1 =  FGEDE_ZMIN(IV)
        ZD2 =  FGEDE_ZMAX(IV)
* rotation matrix
        COSR=FGEDE_ROT(1,IV)
        SINR=FGEDE_ROT(2,IV)
* superlayer number
        ISL = OGEDE_GESL(IV)
* layer number
        LAY = IGEDE_LAY(IV)
* MUON superlayer number
        MSL=IGESL_NSL(ISL)
*
        WRITE(LLOGF,1015) IH,MSL,LAY,X,Y,Z,DX,DY,IV,
     +             COSR,SINR,XD1,XD2,YD1,YD2,ZD1,ZD2
 1015 FORMAT(1X,I5,' sl,l',2I2,' X,Y,Z',3F8.2,' dX,dY',2F7.2,
     + ' det',I5,/,7X,'COSR,SINR',2F7.3,' X1,X2',2F7.1,
     + ' Y1,Y2',2F7.1,' Z1,Z2',2F7.1)

        IF(ICMP.EQ.8) THEN
          IF(Y.EQ.0.) NTUBHT=NTUBHT+1
          IF(Y.NE.0.) NPADHT=NPADHT+1
        ENDIF
        IF(ICMP.EQ.9) THEN
          NPIXHT=NPIXHT+1
        ENDIF
  150 CONTINUE
      WRITE(LLOGF,1023) NTUBHT+NPADHT+NPIXHT,NTUBHT,NPADHT,NPIXHT
 1023 FORMAT(5X,I4,'  hits in total;  Ntube,Npad,Npix:',3I3)
*
  200 CONTINUE
*
* GEPT table
*      IF(JGEPT.LE.0) GOTO 250
*      IF(IQ(JGEPT+1).LE.0) GOTO 250
*      IF(IQ(JGEPT+2).LE.0) GOTO 250
*      WRITE(LLOGF,*) 'GEPT:J,L,N=',JGEPT,IQ(JGEPT+1),IQ(JGEPT+2) 
* loops over volumes
*      DO 220 IV=1,IQ(JGEPT+2)
* detector component
*        ICMP = IGEDE_CMP(IV)
*        IF(ICMP.NE.8.AND.ICMP.NE.9) GOTO 220
*        JV=JGEPT+IQ(JGEPT+1)*(IV-1)+2
*        WRITE(LLOGF,1031) IV,ICMP,(IQ(JV+J),J=1,6)
* 1031   FORMAT(X,'IV,ICMP:',2I6,'  point:',6I5)
*  220 CONTINUE    
*      GOTO 300
*  250 CONTINUE
*      WRITE(LLOGF,*) '***  no table GEPT'
*  300 CONTINUE

      WRITE(LPRNT,*) '***** MUHITB finish *****'
      RETURN
      END




