
* B.Fominykh  16.05.98
* the program of the MUREC-B package
* initialization of one new branch in tree table MUTR using seed ISS
      SUBROUTINE MURTRIN(ISS,IOUT)
C-    ============================
* input: ISS   - seed number
* input: IFREE - free row for branch from /MUCTAB/
* output:IOUT=+1 - the branch was created
*            =-1 - not created because of wrong seed number
*            =-2 - not created because there is no place in tree table
*
      IMPLICIT NONE
      INTEGER NS,ISS,IS,JS,NB,JB,I,IOUT
*
#include "murec/MUCBTAB.fi"
#include "arte/Arte.fi"

#include "arte/Arte.ff"
C----+===1=========2=========3=========4=========5=========6=========7==********
*
      IOUT=0
* how many seeds
      NS=IQ(JTMP6+2)
      IF(ISS.LT.1.OR.ISS.GT.NS) THEN
        WRITE(LPRNT,*) '*** MURTRIN: wrong seed number'
        IOUT=-1
        GOTO 200
      ENDIF
* seed number
      IS=ISDORD(ISS)
      JS=JTMP6+IQ(JTMP6+1)*(IS-1)+2
* create new branch in table MUTR
      NB=IQ(JTMP7+2)
      IF(IFREE.GT.NB.AND.NB.GE.0.AND.NB.LT.NBMUTR) GOTO 11
      IF(IFREE.LE.NB.AND.NB.GE.0.AND.NB.LT.NBMUTR) GOTO 12
      IF(IFREE.LT.NB.AND.NB.EQ.NBMUTR) GOTO 12
 10   CONTINUE
      WRITE(LLOGF,*) '*** MURTRIN: number of branchs NB=',
     +     NB,'  > Nmax=',NBMUTR
      IOUT=-2
      GOTO 200
 11   CALL MMBOOK(JTMP7,1)
      NB=IQ(JTMP7+2)
 12   JB=JTMP7+IQ(JTMP7+1)*(IFREE-1)+2
* fill new branch
      IQ(JB+1)=1       ! active
      IQ(JB+2)=0       ! no mother
      IQ(JB+3)=0       ! no mother
      IQ(JB+4)=IS      ! link to seed
      IQ(JB+5)=0       ! no link to final tree status table yet
      IQ(JB+6)=0       ! collected number of hits in the muon
      IQ(JB+7)=0       ! number of copies
      IQ(JB+8)=0       ! accumulated number of hits
      DO I=9,20
        IQ(JB+I)=0     ! number of hits and hit map
      ENDDO
      Q(JB+21)=0.      ! sum of hit distances squared
      Q(JB+22)=0.      ! sum of hit chi**2
* copy track parameters and covariance
      DO I=1,21
        Q(JB+I+22)=Q(JS+I+4)
      ENDDO
* final choice
      IQ(JB+44)=0
      Q(JB+45) =0.
      Q(JB+46) =0.
      Q(JB+47) =0.
*
      IOUT=1
*
 200  CONTINUE
      RETURN
      END
