*CMZ :  4.05/02 18/05/96  18.32.55  by  Rainer Mankel
*CMZ :  4.05/00 09/04/96  18.11.57  by  Rainer Mankel
*CMZ :  4.04/00 09/12/95  19.32.23  by  Rainer Mankel
*CMZ :  4.03/01 04/08/95  14.56.23  by  Rainer Mankel
*CMZ :  4.03/00 13/07/95  16.27.10  by  Rainer Mankel
*CMZ :  4.02/00 15/06/95  15.09.15  by  Rainer Mankel
*CMZ :  4.00/00 02/04/95  19.09.40  by  Rainer Mankel
*CMZ :  3.01/05 28/01/95  15.48.26  by  Rainer Mankel
*CMZ :  3.01/04 28/01/95  15.26.26  by  Rainer Mankel
*CMZ :  3.01/00 14/01/95  16.36.11  by  Rainer Mankel
*CMZ :  3.00/01 10/10/94  12.04.16  by  Rainer Mankel
*CMZ :  2.06/00 26/05/94  10.32.01  by  Rainer Mankel
*CMZU:  2.00/00 11/11/93  13.39.01  by  Rainer Mankel
*-- Author :    Rainer Mankel   11/11/93

      subroutine dimag()

*     **** display the magnet (in some views only)
      implicit none
#include "pris/zgraf.fi"
#include "pris/hgmagnhelp.fi"
      real wm(3), xc, yc, xr
      integer npt, ii, i1, i2, i3, i4
      parameter (npt=31)
      real xxx(npt), yyy(npt), phi, dphi

      if (iviewzg.eq.1) then
*      **** xz view: magnetic field is a circle
*      **** center
       wm(1) = 0.
       wm(2) = 0.
**       wm(3) = zposmg
*      **** interim solution: put in position & radius hardcoded
       wm(3) = 450.
       call dipro(wm,xc,yc)
**       xr = rmag
       xr = 140.
**       print *,' dimag: zposmg, rmag=', zposmg, rmag

*      **** check if visible
       if ((xc-xr).gt.xmaxzg.or.(xc+xr).lt.xminzg) go to 999
       if ((yc-xr).gt.ymaxzg.or.(yc+xr).lt.yminzg) go to 999

*      **** draw the circle
       call igset('PLCI',comavzg)
       call igset('FACI',comavzg)
       call igset('FAIS',1.)
       call igset('BORD',0.)
       call igset('LTYP',1.)
       call igarc(xc,yc,xr,0.,0.,360.)
*      **** border of circle
       call igset('PLCI',comabzg)
       call igset('FAIS',0.)
       call igset('LWID',7.)
       call igarc(xc,yc,xr,xr,0.,360.)
       call igset('LWID',1.)

      elseif (iviewzg.eq.9.or.iviewzg.eq.10) then
*      **** distorted circle
       dphi = 6.283185 / (npt-1)
       do ii=1,npt
        if (ii.eq.npt) then
         phi = dphi
        else
         phi = ii * dphi
        endif

        wm(1) = rmag * cos(phi)
        wm(2) = 0.
        wm(3) = zposmg + rmag * sin(phi)
*       **** projection
        call dipro(wm,xxx(ii),yyy(ii))
       enddo

*      **** check if visible
       i1 = 0.25*npt
       i2 = 0.5*npt
       i3 = 0.75*npt
       i4 = npt
       if (amin1(xxx(i1),xxx(i2),xxx(i3),xxx(i4)).gt.xmaxzg) go to 999
       if (amax1(xxx(i1),xxx(i2),xxx(i3),xxx(i4)).lt.xminzg) go to 999
       if (amin1(yyy(i1),yyy(i2),yyy(i3),yyy(i4)).gt.ymaxzg) go to 999
       if (amax1(yyy(i1),yyy(i2),yyy(i3),yyy(i4)).lt.yminzg) go to 999

*      **** draw distorted circle
       call igset('PLCI',comavzg)
       call igset('FACI',comavzg)
       call igset('FAIS',1.)
       call igset('BORD',0.)
       call igset('LTYP',1.)
**       call igarc(xc,yc,xr,0.,0.,360.)
       call igraph(npt,xxx,yyy,'F')
*      **** border of circle
       call igset('PLCI',comabzg)
       call igset('FAIS',0.)
       call igset('LWID',7.)
       call igraph(npt,xxx,yyy,'L')
**       call igarc(xc,yc,xr,xr,0.,360.)
       call igset('LWID',1.)

      endif

 999  end
