// 
//  Author:  Rainer Mankel                     Created:  25-Apr-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

#include "rang/Domain.hh"
#include "rang/DomWin.hh"
#include "rang/XWin.hh"

rangerXWin::rangerXWin(rangerDomain* dom) {
  zXW = 0;
  xXW = 0;
  txXW = 0;
  winXW = 0;
  domXW = dom;
}


void rangerXWin::dump() {
  cout << " XWin fil=" << filledXW << " z=" << zXW
       << " x=" << xXW << " tx=" << txXW
       << " the window/domain:" << endl;
  if (winXW) winXW->dump();
  if (domXW) domXW->dump();
}
