// 
//  Author:  Rainer Mankel                     Created:  29-Sep-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// class rangerVolEpi
// volume class for epiped shape

#ifndef rangerVolEpi_HH
#define rangerVolEpi_HH

#ifndef rangerVolume_HH
#include "rang/Volume.hh"
#endif

class rangerVolEpi : public rangerVolume {
  
public:
  rangerVolEpi(); // default constructor
  rangerVolEpi( rangerGeWa* gewa ); // constructor from gewa
  ~rangerVolEpi(); // destructor
  virtual float sLength(float zz,float x,float y,float tx,float ty) const ;
};

#endif
