// 
//  Author:  Rainer Mankel                     Created:  25-Apr-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// rgdldmp_
// Fortran interface of rangerDomLay::dump()
// Dump the content of a ranger domain layer.
// The pointer of the domain layer is taken as parameter.

#include "rang/DomLay.hh"

extern "C" {
  void rgdldmp_(rangerDomLay*& dl) {
    dl->dump();
  }
}
