*CMZ :          21/07/97  18.49.06  by  Unknown
*-- Author :   T.Lohse
c
c-------------------------------------------------------------
c
c       function:   VTDV(iv,xp)                          R*8
c
c       input:    iv       vertex index                  Int
c                 xp(3)    space point                   R*8
c
c       output:   distance vertex -- space point (chi**2,NDF=3)
c
c-------------------------------------------------------------
c
      double precision 
     1  function VTDV(iv,xp)

      implicit none
#include "vt/vtdat.fi"

      integer iv
      double precision 
     1  xp(3)

      double precision 
     1  dx(3), Cdx(3)
      integer i,j

      do  i = 1, 3
        dx(i) = xp(i) - xvs(i,iv)
      enddo
      do  i = 1, 3
        Cdx(i) = 0.d0
        do  j = 1, 3
          Cdx(i) = Cdx(i) + CINV(i,j,iv,ntr(iv))*dx(j)
        enddo
      enddo
      VTDV = 0.d0
      do  i = 1, 3
        VTDV = VTDV + dx(i)*Cdx(i)
      enddo

      return
      end
