*-- Author :    Thomas Lohse   March 8, 1999

      SUBROUTINE LUINIT

************************************************************************
*
* Description: Define defaults for MC generator options and parameters 
*
* Called from: ATINIT
*
* External references:
*
* Argument in/out description
*
************************************************************************

      IMPLICIT NONE

#include "arte/luopts.fi"

      lunsel   = 0
      netrig   = 0
      nmtrig   = 0
      neacc    = 0
      nmuacc   = 0
      modemb   = 1
      modePsi  = 2
      modeY    = 2
      modefrag = 2
      nlept    = 0
      pt0mb    = 0.
      pt0psi   = 1.
      pt0Y     = 1.
      ptl1     = 0.
      ptl2     = 0.
      xml12    = 0.

 90   END

************************************************************************
* End of LUINIT
************************************************************************
