*-- Author :    Serguei Moukhine   06/05/98

      SUBROUTINE MMWIPE (IX)

************************************************************************
*
* Description: Drop all banks from IX division
*
* Called from: MMWEVT
*
* External references: MMDROP, MZWIPE
*
* Arguments: none
*
* Updated:    06 Mar 01  (SE) MMSTATISTICS calls are moved to MMREVT
*
************************************************************************

      IMPLICIT NONE

#include "arte/ArteFlag.fi"
#include "arte/Arte.fi"
#include "auto/MEMO.fi"

      INTEGER I, IX

#include "arte/Arte.ff"
#include "auto/MEMO.ff"

C drop tables for CM or wipe for ZEBRA

C Temporary removed IF (CMINIT .EQ. 1) THEN	! CM memory management
      IF (0 .EQ. 1) THEN
        DO I = 1, NMEMO()
          IF (IQ(IQMEMO_DIV(I)) .EQ. IX) THEN
            IF (JLINK(I) .NE. 0) THEN
              CALL MMDROP (JLINK(I))
            END IF
          END IF
        END DO
      ELSE			! Zebra memory management
        DO I = 1, NMEMO()
          IF (IQ(IQMEMO_DIV(I)) .EQ. IX) THEN
            IF (JLINK(I) .NE. 0) THEN
              IQ(IQMEMO_DROP(I)) = IQ(IQMEMO_DROP(I)) + 1
            END IF
          END IF
        END DO
        CALL MZWIPE (IX)
      END IF
      
      END

************************************************************************
* End of MMWIPE
************************************************************************
