//                              -*- Mode: C++ -*-
//: EFCompareDeposits.C
//
//
// Author: Mauro Villa   
// ECAL group 
// HERA-B experiment, Desy
// e-mail: villa@bo.infn.it
//
// Created 26/5/97
// Last Update ........
//

#include "care/EFCompareDeposits.hh"


// Compare the energy of two Deposit structures and return true if
// the first energy is bigger than the second. 
bool EFCompareDeposits::operator () ( 
	       const ECMCDeposit & p1, const ECMCDeposit & p2){
  return p1.energy() > p2.energy();
}
