#include <arte/arte.hh>
#include <arte/artefunc.h>
#include <vector>
#include <algorithm>

typedef struct{
  float x,z,mask;
  int   lay,used;
  float cosa, sina,x0,y0,tx,ty;
  ArtePointer<GEDE> gede;
  ArtePointer<HITB> hitb;
} Hit, *pHit;

typedef struct{
  pHit phit;
  float x0, y0, tx, ty;
} Est, *pEst;

typedef struct{
  float dist,x,tx,z;
  int length;
  pHit Ptohit[4];
} Triplet, *pTriplet;

typedef struct{
  float y, ty, z;
  int used;
  pHit Ptohit;
} Ystereo;


typedef struct{
  float zf, xf, yf, txf, tyf;
  float zm, xm, ym, txm, tym;
  float ze, xe, ye, txe, tye;
  float pf, pe;
  float cvf[4][4], cvm[4][4], cve[4][4];
  float chi2, prob;
  int nsp, nclu, used,level, neighborindex;;
  vector<pHit> vhit;
} SPacepoint, *pSPacepoint;

typedef vector<SPacepoint> * pSPVector;

void ItrSPoints(vector<Hit> *hits_bank_zf, vector<Hit> *hits_bank_sf, pSPVector vspacepoint, 
		int sl, const float geslzmin, const float geslzmax);
int calc_y(double bx, double kx, double dist, vector<Hit>::iterator hitbsearchtg);
void ItrFitSPoint(SPacepoint& sp,int propagate_midd);
void SP_to_rseg(SPacepoint& sp);
