// *****************************************************************************
//
// source:    daq_muon_if.hh
//
// type:      header file
//
// created:   13 Mar 2001
//
// author:    Lars Soezueer
//            email: soezueer@mail.desy.de
//
// purpose:   declaration of class DAQ_MUON_IF
//
// changes:   
//
// *****************************************************************************
#ifndef _DAQ_MUON_IF_
#define _DAQ_MUON_IF_

#include "daqif/daq_unsparse_if.hh"

class DAQ_MUON_IF : public DAQ_UNSPARSE_IF {

public:
  DAQ_MUON_IF() : DAQ_UNSPARSE_IF(COMP_N_MUON) {};

  unsigned int getFED_IDs(unsigned short *buf, unsigned int maxIDs);
  int getFED(unsigned short fedid, FED_HDR *buf, unsigned int maxSize);

protected:

private:
  
};

#endif













