
// ******************************************************************
//
// A. Gorisek 18/07/2001
//
// Declaration of Histograms and Initialization
//
// *****************************************************************

// standard includes
#include <iostream.h>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>   

// ONLINE includes
#include "rhp.h"

// ARTE includes
#include "arte/arte.hh"
#include "farm/farm.hh"
#include "dq/DQ.h"

/////////////////////  Declare GLAL histograms /////////////////////////////

int DQ_CORR_rec_init()
{
  // show up
  ARTE_mark( "DQ_CORR_rec_init 0", 0 ); 

  rhp_hbook1(DQ_ID(COMP_CORR,LVL_REC,1001),"Z magnet",20,425.,485.);
  rhp_hbook2(DQ_ID(COMP_CORR,LVL_REC,2001),"Z mag. VS. txV-txPC",21,-0.2,0.2,20,425.,485.);

  // show down
  ARTE_mark( "DQ_CORR_rec_init 1", 0 ); 

  return 0; // return error code (0 = okay)
}
