

extern int MaxSegmentPairs;

extern int   gagePlotsVdsEcalRich;
extern int   gagePlotsRichEcal;
extern int   gagePlotsOtrEcal;
extern int   gagePlotsOtrRich;
extern int   gagePlotsOtrVds;

extern int   gageSelectRichEcal    ;
extern int   gageSelectOtrEcal     ;
extern int   gageSelectOtrRich     ;
extern int   gageSelectVdsEcalRich ;
extern int   gageSelectVdsOtr      ;

extern float gageCutsRichEcal[5];
extern float gageCutsOtrEcal[5];
extern float gageCutsOtrRich[5];
extern float gageCutsVdsOtr[5];
extern float gageCutsVdsEcalRich[5];

extern float gagePCutsVdsEcalRich[5];
extern float gagePCutsRichEcal[5];
extern float gagePCutsOtrEcal[5];
extern float gagePCutsOtrRich[5];
extern float gagePCutsVdsOtr[5];
extern float gagePCutsVdsEcalRich[5];


struct GageSegmentPair {
  int key;
  int cmp;
  float z;
  float  p1[4] , p2[4],
         V1[10], V2[10]; 
};



int  gageInit();
int  gageEvnt();
int  gageFillRhp();
int  gageFillRhpRich();
int  gageFillRhpOtrRich();
int  gageFillRhpOtrEcal();
int  gageFillRhpOtrVds();
void gageFillRhpSegments(int cmpRSEG, int cmpAlign, float * Cuts);
void gageFillRhpVdsEcalRich(int cmpRSEG, int cmpAlign, float * Cuts);

void gageFitEcalRich(ArtePointer<RSEG> rRICH, ArtePointer<RCCL> rccl,
        float * p0, float * w0, float * pTRACK, float * chi2);
int  gageTraceTRACK(float z, float * pin, float * p);
