*-- Author :    Hartwig Albrecht   19/05/95

      SUBROUTINE KADZZN

************************************************************************
*
* Description: get name from DD commands
*
* Called from: KAD* ROUTINES
*
* External references:
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "arte/ArteFlag.fi"
#include "auto/DDEF.fi"
#include "arte/ZDDEFP.fi"

      INTEGER L
      CHARACTER CN*80

#include "arte/Arte.ff"
#include "auto/DDEF.ff"

      CN = ' '
      CALL KUGETC (CN, L)
      CALL CHCTOH (CN, IQ(L_L(JDDEF_NAME,JDDEF)), NAMELEN)
      IF (L .LE. 80)  GO TO 90
      IF (IDDEF_FLAG(NDDEF()) .EQ. LDDEF_TAB .OR.
     +    IDDEF_FLAG(NDDEF()) .EQ. LDDEF_REL)  THEN
        CALL LIDDE0 (NDDEF(), 'TL')
        CALL MEERRC (13445,
     +    'DD: table/rel names must consist of less than 80 characters')
      END IF

 90   END

************************************************************************
* End of KADZZN
************************************************************************
