*CMZ :  1.00/01 17/08/95  11.18.51  by   Ivan Belyaev
*-- Author :    Dominik Ressing   28/11/94
************************************************************************
*
* L1TABBO
* written by Dominik Ressing, 28/11/94 18.11.45
*
* This routines action:
* Book tables for L1SIMU usage
*
*
************************************************************************
c
      SUBROUTINE L1TABBO
c
      IMPLICIT NONE
c
#include "arte/Arte.fi"
#include "l1si/l1param.fi"
#include "l1si/l1prcdf.fi"
#include "l1si/l1clink.fi"
#include "l1si/l1banks.fi"
#include "l1si/rclink.fi"
c
      INTEGER iTFU,iTFUpc,icon,ila,ifo(16)
c
#include "arte/Arte.ff"
#include "l1si/l1prcdf.ff"
c
      CALL UTFTAB('L1HM',L1_HAMES_DES,ifo)
      CALL UTBTAB(IXDIV,JL1_HAMESS,JL1_HAMESS,1,'L1HM',0,0, ! Hardware message for output to SLT ...
     &     L1_HAMES_LEN,ifo)
c
      CALL UTFTAB('L1ME',L1_MES_DES,ifo)
      CALL UTBTAB(IXDIV,JL1_MESS,JL1_MESS,1,'L1ME',0,0,     ! only as reference for reations
     &     L1_MES_LEN,ifo)
      CALL UTBREL(IXDIV,JL1_ME_MTRA,'L1MT',
     &     JL1_MESS,L1_MES_PTR, ! single entry is relation
     &     JMTRA,0,             ! only unidirectional relation
     &     1)                   ! one-to-many relation
c
      CALL UTFTAB('L1TR',L1_TRK_DES,ifo)
      CALL UTBTAB(IXDIV,JL1_TRACKS,JL1_TRACKS,1,'L1TR',0,0,
     &     L1_TRK_LEN,ifo)
c
      CALL UTFTAB('L1HE',L1HI_E_DES,ifo)
      CALL UTBTAB(IXDIV,JL1HI_E,JL1HI_E,1,'L1HE',0,0,
     &             L1HI_E_N,ifo)
      CALL UTBREL(IXDIV,JL1HI_E_MTRA,'LETR',
     &     JL1HI_E,L1HI_E_REL,
     &     JMTRA,0,             ! only unidirectional relation
     &     1)                   ! one-to-many relation
c
      CALL UTFTAB('L1HP',L1HI_P_DES,ifo)
      CALL UTBTAB(IXDIV,JL1HI_P,JL1HI_P,1,'L1HP',0,0,
     &             L1HI_P_N,ifo)
      CALL UTBREL(IXDIV,JL1HI_P_MTRA,'LPTR',
     &     JL1HI_P,L1HI_P_REL,
     &     JMTRA,0,             ! only unidirectional relation
     &     1)                   ! one-to-many relation
c
      CALL UTFTAB('L1HU',L1HI_MU_DES,ifo)
      CALL UTBTAB(IXDIV,JL1HI_MU,JL1HI_MU,1,'L1HU',0,0,
     &             L1HI_MU_N,ifo)
      CALL UTBREL(IXDIV,JL1HI_MU_MTRA,'LUTR',
     &     JL1HI_MU,L1HI_MU_REL,
     &     JMTRA,0,             ! only unidirectional relation
     &     1)                   ! one-to-many relation
c
      CALL UTFTAB('L1HT',L1HI_T_DES,ifo)
      CALL UTBTAB(IXDIV,JL1HI_T,
     &     JL1HI_T,1,'L1HT',0,0,                             ! book bank for TFU
     &     L1HI_T_N,ifo)
      CALL UTBREL(IXDIV,JL1HI_T_MTRA,'LTTR',
     &     JL1HI_T,L1HI_T_REL,
     &     JMTRA,0,             ! only unidirectional relation
     &     1)                   ! one-to-many relation
c
      RETURN
c
      END
