*CMZ :  0.01/02 25/08/94  21.00.28  by  Dominik Ressing
*-- Author :    Dominik Ressing   12/08/94
************************************************************************
*
* T1HITAM
* written by Dominik Ressing, 12/08/94 10.14.16
*
* This routines action:
* Returns the amplitude of Hit pointed to by iHiPo
*
* Arguments  kind         description
*          (in,update,out)
*-----------------------------------------------------------------------
* iHiPo       in          pointer to Hit data
*
*
************************************************************************
c
      REAL FUNCTION T1HITAM(iHiPo)
c
      IMPLICIT NONE
c
#include "l1si/l1param.fi"
#include "l1si/l1geodf.fi"
#include "l1si/l1detdf.fi"
c
      INTEGER iHiPo(L1HITlen),i,nMax
c
      T1HITAM = 0.
      nMax = L1HITpos+iHiPo(L1HITnpo)-1
      DO i=L1HITpos,nMax
         IF ( iHiPo(i).lt.0 ) THEN
            T1HITAM = float(iHiPo(i))/(-1000.)+T1HITAM  ! test data
         ELSE
            T1HITAM = 0.        ! real data (not jet implemented)
         END IF
      END DO
c
      RETURN
c
      END
