
//## Boris Fominykh  20.12.1999
// member functions of the NEDE container class MuNede

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <stdlib.h>
#include <iostream.h>
#include <iomanip.h>

#include "murec/MuNede.h"

//** Constructor */
MuNede::MuNede()
{
  Ini();
}

//** Destructor */
MuNede::~MuNede()
{
}

//## Methods

//** Initialization */
void MuNede::Ini()
{
  Valid=-1;

  nedekey = 0;
  neslkey = 0;
  inede   = 0;
  nesl    = 0;

  cmp     = 0;
  lay     = 0;
  sec     = 0;
  shp     = 0;
  xmin    = 0.;
  xmax    = 0.;
  ymin    = 0.;
  ymax    = 0.;
  zmin    = 0.;
  zmax    = 0.;
  sxmn    = 0.;
  sxmx    = 0.;
  symn    = 0.;
  symx    = 0.;
  cos     = 0.;
  sin     = 0.;
  for(int i=0; i<9; i++) rot[i]=0.;
  acc     = 0.;
  eff     = 0.;
  dod     = 0.;
  pit     = 0.;
  ms      = 0.;
  for(int i=0; i<4; i++) xfw[i]=0.;
  for(int i=0; i<4; i++) zfw[i]=0.;
  for(int i=0; i<4; i++) nwi[i]=0;
  nsl     = 0;
  nwl     = 0;
  fwl     = 0;
  xmad    = 0.;
  ymad    = 0.;
  zmad    = 0.;
  for(int i=0; i<4; i++) y1w[i]=0.;
  for(int i=0; i<4; i++) y2w[i]=0.;
  strncpy(gvol,"    ",4);
  strncpy(hwc ,"    ",4);
  dedx    = 0.;
  gcop    = 0;
  noise   = 0.;
  ares    = 0.;

  return;
}
 
void MuNede::Print()
{
  cout << hwc << " NEDE key " << nedekey;
  cout << " NESL key " << neslkey << " inede " << inede;
  cout << " Valid " << Valid << endl;

  cout << " cmp " << cmp << " nsl " << nsl << " lay " << lay;
  cout << " sec " << sec << " shp " << shp << " nesl " << nesl << endl;

  cout << " nwi[0] " << nwi[0] << " nwi[1] " << nwi[1];
  cout << " nwi[2] " << nwi[2] << " nwi[3] " << nwi[3] << endl;

  cout << " rot[0] " << rot[0] << " rot[1] " << rot[1] << " rot[2] " << rot[2];
  cout << " rot[3] " << rot[3] << " rot[4] " << rot[4] << " rot[5] " << rot[5];
  cout << " rot[6] " << rot[6] << " rot[7] " << rot[7] << " rot[8] " << rot[8] << endl;

  cout << " xfw[0] " << xfw[0] << " xfw[1] " << xfw[1];
  cout << " xfw[2] " << xfw[2] << " xfw[3] " << xfw[3] << endl;

  cout << " zfw[0] " << zfw[0] << " zfw[1] " << zfw[1];
  cout << " zfw[2] " << zfw[2] << " zfw[3] " << zfw[3] << endl;

  cout << " y1w[0] " << y1w[0] << " y1w[1] " << y1w[1];
  cout << " y1w[2] " << y1w[2] << " y1w[3] " << y1w[3] << endl;

  cout << " y2w[0] " << y2w[0] << " y2w[1] " << y2w[1];
  cout << " y2w[2] " << y2w[2] << " y2w[3] " << y2w[3] << endl;

  cout << " xmin " << xmin << " xmax " << xmax;
  cout << " ymin " << ymin << " ymax " << ymax;
  cout << " zmin " << zmin << " zmax " << zmax << endl;

  cout << " sxmn " << sxmn << " sxmx " << sxmx;
  cout << " symn " << symn << " symx " << symx << endl;

  cout << " acc " << acc << " eff " << eff;
  cout << " ms " << ms << " cos " << cos << " sin " << sin;
  cout << " acc " << acc << " eff " << eff << " dedx " << dedx;
  cout << " dod " << dod << " pit " << pit << endl;

  return;
}


