*
* B.Fominykh  22.05.2000
* the program of MuonID package
* writes the muon likelihood and relations to hits into RTRA
*
* update 9.07.2000  by B.Fominykh - fill muon clone flag in RTRA
* update 19.01.2001 by B.Fominykh - safety checks are implemented
*
      SUBROUTINE MURTABB
*     ==================
      IMPLICIT NONE
*
#include "murec/MUCBTAB.fi"
#include "murec/MUCKALF.fi"
#include "arte/Arte.fi"
#include "auto/RTRA.fi"

      INTEGER I,J,IT,JT,ICC,IC,JC,NHT,IH,JH,NH,IHB
      INTEGER IHT(50),IR,IRT,JRT,NRTR,ISD,JSD,NSG

#include "arte/Arte.ff"
C----+===1=========2=========3=========4=========5=========6=========7==********

* check-point
      IF(JTMP7.LE.0) GOTO 999
      IF(IQ(JTMP7+1).LE.0) GOTO 999
      IF(IQ(JTMP7+2).LE.0) GOTO 999

* take the branches with calculated LHP
      IF(IFREE.LT.2) GOTO 999
      DO 100 IT=1,IFREE-1
        JT=JTMP7+IQ(JTMP7+1)*(IT-1)+2
        IF(IQ(JT+1).NE.2) GOTO 100
* list of hits
        NHT=0
        DO 10 ICC=1,IQ(JT+8)
          IC=IQ(JT+LCMUTR+ICC)
          JC=JTMP8+IQ(JTMP8+1)*(IC-1)+2
          DO IH=IQ(JC+15),IQ(JC+16)
            JH=JTMP9+IQ(JTMP9+1)*(IH-1)+2
            IF(IQ(JH+13).EQ.IC) THEN
              NHT=NHT+1
              IHT(NHT)=IH
            ENDIF
          ENDDO
  10    CONTINUE
        IF(NHT.LT.3) GOTO 100
* inverse the hit order
        DO I=1,NHT/2
          J=IHT(I)
          IHT(I)=IHT(NHT-I+1)
          IHT(NHT-I+1)=J
        ENDDO
* seed
        ISD=IQ(JT+4)
        JSD=JTMP6+IQ(JTMP6+1)*(ISD-1)+2
* #RSEG used as a seed
        NSG=IQ(JSD+3)

* loops over RTRA related with seed
        NRTR=IQ(JSD+79)
        IF(NRTR.GT.0) THEN
          DO 50 IR=1,NRTR
            IRT=IQ(JSD+IR+79)
            IF(IRT.LT.1.OR.IRT.GT.IQ(JRTRA+2)) GOTO 50
            JRT=JRTRA+IQ(JRTRA+1)*(IRT-1)+2        
* likelihood probability
            Q(JRT+JRTRA_LMMU)=Q(JT+47)
            Q(JRT+JRTRA_LMH) =Q(JT+44)
* clone flag for muon: 0 or #RSEG if NRTR>1
            IF(NRTR.EQ.1) IQ(JRT+JRTRA_CMUON)=0 
            IF(NRTR.GT.1) IQ(JRT+JRTRA_CMUON)=NSG
* number of linked muon hits
            IQ(JRT+JRTRA_HMU) =NHT
* relations to hits
            DO 20 I=1,NHT
              NH =IHT(I)
              IF(NH.LT.1.OR.NH.GT.IQ(JTMP9+2)) GOTO 20
              JH =JTMP9+IQ(JTMP9+1)*(NH-1)+2
              IHB=IQ(JH+1)          
              IF(IHB.LT.1.OR.IHB.GT.IQ(JHITB+2)) GOTO 20
              CALL MMBREL(JRTHI,IRT,IHB)   ! #RTRA - #hitb
 20         CONTINUE
 50       CONTINUE
        ENDIF
 
 100  CONTINUE
*
 999  CONTINUE
      RETURN
      END









