*-- Author :    Rainer Mankel     02/11/93
*-- Updated:    Alexander Lanyov  11/07/00 - don't reset view if not necessary

      subroutine diview()

*     **** set view (=IVIEWZG)
      implicit none
#include "pris/zgraf.fi"
#include "arte/ArteFlag.fi"
      integer iv, nch, iviewold
      logical xz, xzold
      character*40 chopt

      if (prisinit.eq.0) call dicinit() ! automatic initialization

*     **** number of view
      call kugeti(iv)

      iviewold = iviewzg
*     **** update nt
      if (iv.ge.0.and.iv.le.11) then
       iviewzg = iv
      elseif (iv.eq.-1) then
*      **** indicates that view should be unchanged (default)
      else
       print *,' () diview: no such view, iviewzg=', iviewzg
      endif

      call kugetc(chopt,nch)    ! options
      if (index(chopt,'F').gt.0) then
       idirzg = +1
      endif
      if (index(chopt,'B').gt.0) then
       idirzg = -1
      endif
      
      xz    = iviewold.eq.1 .or. iviewold.eq.7 .or. iviewold.eq.8
      xzold = iviewzg .eq.1 .or. iviewzg .eq.7 .or. iviewzg .eq.8
      if (iviewold.ne.iviewzg .and. .not.(xz.and.xzold)) then
         call difrno()          ! set default frame borders
      endif

      if (index(chopt,'N').eq.0) call didraw() ! redraw the picture

      end
