*     initialization of COM parameters           O.Igonkina 23.01.2001

      SUBROUTINE PYINITCOM(PYOPT)

      IMPLICIT NONE
#include "pyth/pyocom.fi"
      INTEGER PYOPT
      
      PYCOSET = PYOPT
      PYOISUB = 0

      if( PYCOSET .EQ. 1 ) THEN ! BENEKE,ROTHSTEIN 
         
         PYO1S1(1) = 0.0066   ! j/psi
         PYO1S1(2) = 0.0046     ! psi
         PYO1S1(3) = 0.0032     ! chic0
         PYO1S1(4) = 3*PYO1S1(3)
         PYO1S1(5) = 5*PYO1S1(3)
         
         PYO1S0(1) = PYO1S1(1)/3.
         PYO1S0(2) = PYO1S1(2)/3.
         PYO1S0(3) = PYO1S1(3)/3.
         PYO1S0(4) = 3*PYO1S0(3)
         PYO1S0(5) = 5*PYO1S0(3)

         PYO1P0(1) = 1.5**2/7.*(0.03-PYO1S0(1))
         PYO1P0(2) = 1.5**2/7.*(0.0052-PYO1S0(2))
         PYO1P0(3) = 0
         PYO1P0(4) = 3*PYO1P0(3)
         PYO1P0(5) = 5*PYO1P0(3)


      ELSEIF( PYCOSET .EQ. 2 ) THEN ! CHO, LEIBOVICH, PRD53-6203

         PYO1S1(1) = 0.0066   ! j/psi
         PYO1S1(2) = 0.0046     ! psi
         PYO1S1(3) = 0.0098     ! chic0
         PYO1S1(4) = 3*PYO1S1(3)
         PYO1S1(5) = 5*PYO1S1(3)
         
         PYO1S0(1) = PYO1S1(1)/3.
         PYO1S0(2) = PYO1S1(2)/3.
         PYO1S0(3) = PYO1S1(3)/3.
         PYO1S0(4) = 3*PYO1S0(3)
         PYO1S0(5) = 5*PYO1S0(3)

         PYO1P0(1) = 1.5**2/3.*(0.022-PYO1S0(1))
         PYO1P0(2) = 1.5**2/3.*(0.0059-PYO1S0(2))
         PYO1P0(3) = 0 !    1.5**2/3.*(0.022-PYO1S0(1))      
         PYO1P0(4) = 3*PYO1P0(3)
         PYO1P0(5) = 5*PYO1P0(3)

      ENDIF



C      print *,' COLOR OCTET ELEMENTS '
C      print *,'       1S0      1S1       3P0  ;'
C      print *,'J/psi  ',PYO1S0(1),' ',PYO1S1(1),' ',PYO1P0(1)
C      print *,'psi2S  ',PYO1S0(2),' ',PYO1S1(2),' ',PYO1P0(2)
C      print *,'chi_c0 ',PYO1S0(3),' ',PYO1S1(3),' ',PYO1P0(3)
C      print *,'chi_c1 ',PYO1S0(4),' ',PYO1S1(4),' ',PYO1P0(4)
C      print *,'chi_c2 ',PYO1S0(5),' ',PYO1S1(5),' ',PYO1P0(5)



 999  RETURN
      END
