*-- Author :    Rainer Mankel   03/11/94

      subroutine tfls()
*     **** list zf common block
      implicit none
#include "arte/Arte.fi"

#include "rang/zf.fi"
#include "rang/zfmode.fi"

      integer ii,nstring,ih,imc,mimp,nnmimp, iii, tfmc
      real tfmitoqpt
      character*1 csig
      character*10 c_alive
      character*500 cstring
      character*50  cformat
#include "auto/GESL.fi"
#include "auto/GEDE.fi"
#include "auto/HITB.fi"
#include "auto/MIMP.fi"
#include "arte/Arte.ff"
#include "auto/GESL.ff"
#include "auto/GEDE.ff"
#include "auto/HITB.ff"
#include "auto/MIMP.ff"

      print *,' ++++++++++++++++++++ /zf/ listing (smoothed) +++++++ '
      print '(a5,a6,a5,a4,a5,1x,2a4,2a6,10a10)',
     +      'izf', 'hit', 'pla', 'pre', 'mc', 'nh', 'fau',
     +      'ch2', 'z', 'x', 'mx', 'y', 'my', 'cu',
     +      'xmc', 'mxmc', 'ymc', 'mymc', 'cumc'
      do ii=max(1,n_zf-2000),n_zf
*      **** sign
       csig = ' '
       if (sign_zf(ii).ne.0) then
        if (float(sign_zf(ii))*fhitb_q(hit_zf(ii)).gt.0.) then
         csig = '+'
        else
         csig = '-'
        endif
       elseif (igede_cmp(plane_zf(ii)).eq.3) then
        csig = '.'
       elseif (igede_cmp(plane_zf(ii)).eq.1) then
        csig = '_'
       endif

       ih = hit_zf(ii)
       call tuhmimp(ih,imc,mimp,nnmimp)
       if (mimp.lt.0.or.mimp.gt.iq(jmimp+2)) go to 999
       print '(i5,i6,i5,i4,i5,a1, 2i4,2f8.2,10f10.5)', ii,
     +  ih,
     +  plane_zf(ii), prev_zf(ii), tfmc(ii), csig, nhit_zf(ii),
     +  fault_zf(ii),
     +  ch_zf(ii), z_zf(ii), xs_zf(1,ii), xs_zf(3,ii),
     +       xs_zf(2,ii), xs_zf(4,ii), xs_zf(5,ii),
     +  fmimp_x(mimp) + (z_zf(ii)-fmimp_z(mimp)) * fmimp_tx(mimp),
     +  fmimp_tx(mimp),
     +  fmimp_y(mimp) + (z_zf(ii)-fmimp_z(mimp)) * fmimp_ty(mimp),
     +  fmimp_ty(mimp), tfmitoqpt(mimp)
      enddo

      print *,' ++++++++++++++++++++  ft   listing ++++++++++++++++++ '
      print '(10a6,a8)', 'ift', '1st', 'lst', 'pre',
     +      'gen', 'nhit', 'nflt',
     +      'qlty', 'badh', 'bads', 'status'
      do ii=max(1,nca_ft-2000),nca_ft
*      **** alive ?
       if (alive_ft(ii)) then
        if (mature_ft(ii)) then
         c_alive = ' mature'
        else
         c_alive = '  alive'
        endif
       else
        c_alive = '  --  '
       endif

       cstring = ' '
       call tfstrg(ii,cstring,nstring)
**       print *,' tfls: nstring=', nstring

*      **** since we have problems with (a) format handling on sgi...
**       cformat = ' '
**       write(cformat,'((a),i4,(a))')
**     +     '(7i6,f6.2,2i6,a8,2x,a', nstring, ')'
**       print cformat,

       print '(7i6,f6.2,2i6,a8,2x,(a))',
     +  ii, first_ft(ii), last_ft(ii), prev_ft(ii),
     +  gen_ft(ii), nhit_ft(ii),
     +  nfault_ft(ii), quality_ft(ii), 0,0,
     +  c_alive, cstring(1:nstring)
      enddo

 999  end
