
*-- Author :    A.Spiridonov   02/11/98

      subroutine tftctime(stage,sample)

*     **** compute CPU time for the piece of code

*     input :
*     integer stage  (=0 call before piece of code, =1 call after )
*     integer sample ( 0 < sample < 11)
*

      implicit NONE
      integer stage,sample
      integer N_call(20)
      real time_0(20),time_1(20),time_sum(20),time_mean(20),time_job(20)
      character*12 title_sample(20)      
      
      data N_call/20*0/
     
      data title_sample/'pattern     '        ! stage 1
     +                 ,'patt+magnet '        ! stage 2
     +                 ,'tr. chambers'        ! stage 3
     +                 ,'weedout     '        ! stage 4
     +                 ,'book track  '        ! stage 5
     +                 ,'VD reconstr.'        ! stage 6
     +                 ,'VD-mag match'        ! stage 7
     +                 ,'segments fit'        ! stage 8
     +                 ,'ARTE+digitiz'        ! stage 9
     +                 ,'ranger ideal'        ! stage 10
     +                 ,'stage 11    '        ! stage 11
     +                 ,'stage 12    '        ! stage 12
     +                 ,'stage 13    '        ! stage 13
     +                 ,'stage 14    '        ! stage 14
     +                 ,'stage 15    '        ! stage 15
     +                 ,'stage 16    '        ! stage 16
     +                 ,'stage 17    '        ! stage 17
     +                 ,'stage 18    '        ! stage 18
     +                 ,'stage 19    '        ! stage 19
     +                 ,'stage 20    '        ! stage 20
     +                 /

      save N_call,title_sample

*------------------------------------------------------------------------
    
      if(sample.lt.0.or.sample.gt.10) go to 999

      if(stage.eq.0) then 
        call timex(time_0(sample))
      else if(stage.eq.1) then 
        call timex(time_1(sample))
        N_call(sample) = N_call(sample) + 1
        time_job(sample) = time_1(sample) - time_0(sample)
        time_sum(sample) = time_sum(sample) + time_job(sample)
        time_mean(sample) = time_sum(sample) / float(N_call(sample))

        print '(" CPU time(s) for ",i4," call of ",a12," is ",f8.3
     +         ," mean ",f8.3)',N_call(sample),title_sample(sample)
     +         ,time_job(sample),time_mean(sample)

      end if

  999 return
      end
